Subject: Re: bug#6555: stat enhancement

From: Jim Meyering <[email-masked]>
Date: Wed, 07 Jul 2010 08:29:55 +0200

A Burgie wrote:
> Well I am closer, but am still technically nowhere since it still will
> not compile.  The problem with the odd declaration error was because I
> was trying to declare a c-pointer in the case section of the switch
> statement.  I guess that's not allowed in C (back to the easy
> languages for me).  Despite this I am still stuck with the compilation
> complaining about find_mount_point's lack of existence though I'd bet

You have to add the following to src/Makefile.am,
since with your change, df and stat are no longer derived
solely from df.c and stat.c respectively:

df_SOURCES = stat.c find-mount-point.c
stat_SOURCES = df.c find-mount-point.c

> a nickel I have everything setup properly.  Attached are a couple DIFF
> files for those who may want to try to replay things and laugh at my
> mediocrity on the condition that an explanation is provided where I'm
> failing.  I'd have just one DIFF file but I can't figure out how to
> make Git show what I want so I think the combination of these two show
> it all (first use of Git as well).
>
> Sorry to be slow at this.  I'd like to learn and have yet to find
> documentation on GNU's site (or anywhere else) other than the diff for
> operand2sig which helped me a little but not quite enough for what
> seems like a very simple operation (extract function, put in file,
> create .h file, include .h file in previous .c files, modify
> Makefile.am, compile).

Note that I didn't even review (more than superficially)
or test your patch.  If you have to make any change at all
when moving the function from df.c to the new file, please
tell us about it.  Otherwise, the function body in the new file
should be identical.